# Asterisk Project : Asterisk 12 Application_MessageSend

Added by wikibot , edited by wikibot on Dec 14, 2013

# MessageSend()

### Synopsis

Send a text message.

### Description

Send a text message. The body of the message that will be sent is what is currently set to `MESSAGE(body)`. The technology chosen for sending the message is determined based on a prefix to the `to` parameter.

This application sets the following channel variables:

- `MESSAGE_SEND_STATUS` - This is the message delivery status returned by this application.
  - INVALID_PROTOCOL - No handler for the technology part of the URI was found.
  - INVALID_URI - The protocol handler reported that the URI was not valid.
  - SUCCESS - Successfully passed on to the protocol handler, but delivery has not necessarily been guaranteed.
  - FAILURE - The protocol handler reported that it was unabled to deliver the message for some reason.

### Syntax

    MessageSend(to[,from])

##### Arguments

- `to` - A To URI for the message.

Technology: PJSIP
Specifying a prefix of `pjsip:` will send the message as a SIP MESSAGE request.

Technology: SIP
Specifying a prefix of `sip:` will send the message as a SIP MESSAGE request.

Technology: XMPP
Specifying a prefix of `xmpp:` will send the message as an XMPP chat message.

- `from` - A From URI for the message if needed for the message technology being used to send this message.

Technology: PJSIP
The `from` parameter can be a configured endpoint or in the form of "display-name" <URI>.

Technology: SIP
The `from` parameter can be a configured peer name or in the form of "display-name" <URI>.

Technology: XMPP
Specifying a prefix of `xmpp:` will specify the account defined in `xmpp.conf` to send the message from. Note that this field is required for XMPP messages.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-12-r403796